From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/tuxpaint/
Date: Sun, 16 Jan 2022 01:34:34 +0000 (UTC) [thread overview]
Message-ID: <1642296803.c8ebeb61ccd1041ea4f0a5ba5d74c2693efa2c7b.sam@gentoo> (raw)
commit: c8ebeb61ccd1041ea4f0a5ba5d74c2693efa2c7b
Author: Philipp Rösner <rndxelement <AT> protonmail <DOT> com>
AuthorDate: Fri Jan 7 23:17:24 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 16 01:33:23 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8ebeb61
media-gfx/tuxpaint: version bump to 0.9.27
We added an ebuild for tuxpaint-0.9.27.
We also added support for EAPI 8, added necessary dependencies
and did minor cleanup.
Closes: https://bugs.gentoo.org/767223
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Philipp Roesner <rndxelement <AT> protonmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-gfx/tuxpaint/Manifest | 1 +
media-gfx/tuxpaint/tuxpaint-0.9.27.ebuild | 74 +++++++++++++++++++++++++++++++
2 files changed, 75 insertions(+)
diff --git a/media-gfx/tuxpaint/Manifest b/media-gfx/tuxpaint/Manifest
index 9a3f246ba0d6..9670ea86fc54 100644
--- a/media-gfx/tuxpaint/Manifest
+++ b/media-gfx/tuxpaint/Manifest
@@ -1 +1,2 @@
DIST tuxpaint-0.9.24.tar.gz 15561675 BLAKE2B 971baec8b7728cbb54a2a45b604c152a9620d0f6a1856cca99482ad0fd76f2a4493aab81f54e10e5da4d81800b0e3506cb73dda0e00510ef966b0c98f8aa5cb4 SHA512 a4ee9eea833f9a6313701a4686f9f276570df84436c68d9a3d04e9448a8ea00833207e1034965e15145be744194c7b9a7d3c91bdfa3489d06a61de84b64cc723
+DIST tuxpaint-0.9.27.tar.gz 14292992 BLAKE2B f1337b828604bac968325437eba21046f871a0e07e049f2d3568f44adac400e729f4c6d46bcba9eddf9078089aaf55aab7d0774fb5ab126b96d317b59e37ee00 SHA512 197c6e23fb772edd57614e34dec23e160ece528b58e4a17d67fe4100c58cbcd6c4b5efccfbb24ca760b3a20755230b47f4e3e49969e75ba04ce722102a7f2dd9
diff --git a/media-gfx/tuxpaint/tuxpaint-0.9.27.ebuild b/media-gfx/tuxpaint/tuxpaint-0.9.27.ebuild
new file mode 100644
index 000000000000..9fbfe4c29e7b
--- /dev/null
+++ b/media-gfx/tuxpaint/tuxpaint-0.9.27.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop optfeature toolchain-funcs xdg
+
+DESCRIPTION="Drawing program designed for young children"
+HOMEPAGE="http://www.tuxpaint.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="
+ app-text/libpaper
+ dev-libs/fribidi
+ gnome-base/librsvg:2
+ media-gfx/libimagequant
+ >=media-libs/libpng-1.2:0=
+ >=media-libs/freetype-2:2
+ media-libs/libsdl[joystick]
+ media-libs/sdl-gfx
+ media-libs/sdl-image[png]
+ media-libs/sdl-mixer
+ media-libs/sdl-pango
+ media-libs/sdl-ttf
+ x11-libs/cairo
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/gperf
+ virtual/imagemagick-tools
+ sys-devel/gettext
+"
+
+src_prepare() {
+
+ sed -i \
+ -e 's|linux_ARCH_INSTALL:=install-xdg|linux_ARCH_INSTALL:=|' \
+ -e "s|linux_PREFIX:=/usr/local|linux_PREFIX:=/usr|" \
+ -e "s:/lib/:/$(get_libdir)/:g" \
+ -e 's:/share/doc/tuxpaint-$(VER_VERSION)/:'"/share/doc/${PF}/:g" \
+ -e '/@gzip -f/d' \
+ -e '/@chmod a+rx,g-w,o-w $(MAN_PREFIX)/d' \
+ -e "s|linux_ARCH_CFLAGS:=|linux_ARCH_CFLAGS:= ${CFLAGS}|" \
+ Makefile || die
+
+ eapply_user
+}
+
+src_compile() {
+ # parallel build may break things
+ emake -j1 CC="$(tc-getCC)"
+}
+
+src_install() {
+ emake -j1 DESTDIR="${D}" install
+ local file size
+ for file in data/images/icon[0-9]*x[0-9]*.png; do
+ size=${file##*/icon}
+ size=${size%%x*}
+ newicon -s "${size}" "${file}" tux4kids-tuxpaint.png
+ done
+ newmenu src/tuxpaint.desktop tux4kids-tuxpaint.desktop
+ dodoc docs/*.txt
+ dodoc docs/en/*.txt
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ optfeature "additional graphic stamps" media-gfx/tuxpaint-stamps
+}
next reply other threads:[~2022-01-16 1:34 UTC|newest]
Thread overview: 37+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-16 1:34 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-15 16:28 [gentoo-commits] repo/gentoo:master commit in: media-gfx/tuxpaint/ Sam James
2024-06-25 0:11 Sam James
2024-05-19 17:09 Sam James
2024-05-19 17:02 Sam James
2024-03-22 13:14 Arthur Zamarin
2024-03-13 6:26 Arthur Zamarin
2024-03-13 0:54 Sam James
2023-11-02 18:16 Arthur Zamarin
2023-08-02 6:53 Joonas Niilola
2023-07-27 6:40 Joonas Niilola
2023-06-02 15:35 Joonas Niilola
2023-03-14 8:05 Joonas Niilola
2023-01-20 13:50 Joonas Niilola
2023-01-20 13:50 Joonas Niilola
2023-01-20 1:23 Sam James
2023-01-20 1:23 Sam James
2022-09-15 13:20 Sam James
2022-07-21 8:37 Joonas Niilola
2022-06-16 16:30 Sam James
2022-03-18 8:11 Arthur Zamarin
2022-03-14 18:35 Agostino Sarubbo
2022-03-14 18:32 Agostino Sarubbo
2022-01-19 1:14 Sam James
2022-01-19 0:48 Sam James
2022-01-16 1:35 Sam James
2021-08-19 0:39 Sam James
2021-02-09 23:58 Sam James
2021-02-02 23:46 Sam James
2021-01-27 4:06 Sam James
2021-01-05 7:41 Joonas Niilola
2021-01-02 15:36 Joonas Niilola
2021-01-02 15:36 Joonas Niilola
2020-12-27 5:29 Sam James
2020-12-27 5:29 Sam James
2020-07-26 21:42 Andreas Sturmlechner
2016-09-18 9:22 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1642296803.c8ebeb61ccd1041ea4f0a5ba5d74c2693efa2c7b.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox